rb_who.d(1m)

NAME
rb_who.d - trace Ruby line execution by process using DTrace.

SYNOPSIS
rb_who.d

DESCRIPTION
This traces Ruby activity from all Ruby programs on the system that are running with Ruby provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_who.d

FIELDS

PID Process ID of Ruby

UID User ID of the owner

LINES
    Number of times a line was executed

FILE
    Pathname of the Ruby program

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)